{
  "Name": "platform-watchdog-plugin",
  "Type": "package-vendor",
  "Version": "1.0.267",
  "MinimumAgentVersion": "1.0.382",
  "UnsupportedOS": [{"Type": "Linux","Version": "6.1","Name": "Ubuntu"},{"Type": "Linux","Version": "","Name": "Kali"},{"Type": "darwin","Version": "","Name": ""}],
  "Backup":["/plugin/watchdog","/config"],
  "SupportedArchitecture": ["X-84","i386"],
  "Operations": [
    {
        "Type": "File",
        "Name": "watchdog/platform-watchdog-plugin.exe",
        "InstallationPath": "/plugin",
        "FileHash": "",
        "Action": "Remove",
        "RestoreOnFailure": true
    },
    {
        "Type": "File",
        "Name": "watchdog/platform-watchdog-plugin.exe",
        "InstallationPath": "/plugin",
        "FileHash": "",
        "Action": "Add",
        "RestoreOnFailure": true
    },
    {
        "Type": "File",
        "Name": "watchdog/watchdog_agent_plugin_cfg.json",
        "InstallationPath": "/plugin",
        "FileHash": "",
        "Action": "Remove",
        "RestoreOnFailure": true
    },
    {
        "Type": "File",
        "Name": "watchdog/watchdog_agent_plugin_cfg.json",
        "InstallationPath": "/plugin",
        "FileHash": "",
        "Action": "Add",
        "RestoreOnFailure": true
    },
    {
        "Type": "File",
        "Name": "watchdog/watchdog_agent_restore_cfg.json",
        "InstallationPath": "/plugin",
        "FileHash": "",
        "Action": "Remove",
        "RestoreOnFailure": true
    },
    {
        "Type": "File",
        "Name": "watchdog/watchdog_agent_restore_cfg.json",
        "InstallationPath": "/plugin",
        "FileHash": "",
        "Action": "Add",
        "RestoreOnFailure": true
    },
    {
        "Type": "File",
        "Name": "watchdog/watchdog_agent_checksum_cfg.json",
        "InstallationPath": "/plugin",
        "FileHash": "",
        "Action": "Remove",
        "RestoreOnFailure": true
    },
    {
        "Type": "File",
        "Name": "watchdog/watchdog_agent_checksum_cfg.json",
        "InstallationPath": "/plugin",
        "FileHash": "",
        "Action": "Add",
        "RestoreOnFailure": true
    },
    {
        "Type": "File",
        "Name": "watchdog/platform-watchdog-plugin.exe",
        "InstallationPath": "/plugin",
        "FileHash": "",
        "Action": "Execute",
        "Arguments": ["createselfhealtask"],
        "RestoreOnFailure": true
    }
  ],
  "UninstallOperations": [
    {
      "Type": "File",
      "Name": "watchdog/platform-watchdog-plugin.exe",
      "InstallationPath": "/plugin",
      "FileHash": "",
      "Action": "Execute",
      "Arguments": ["deleteselfhealtask"],
      "RestoreOnFailure": true
    }, 
    {
      "Type": "File",
      "Name": "watchdog/platform-watchdog-plugin.exe",
      "InstallationPath": "/plugin",
      "FileHash":  "",
      "Action": "Remove",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "watchdog/watchdog_agent_plugin_cfg.json",
      "InstallationPath": "/plugin",
      "FileHash": "",
      "Action": "Remove",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "watchdog/watchdog_agent_restore_cfg.json",
      "InstallationPath": "/plugin",
      "FileHash": "",
      "Action": "Remove",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "watchdog/watchdog_agent_checksum_cfg.json",
      "InstallationPath": "/plugin",
      "FileHash": "",
      "Action": "Remove",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "watchdog",
      "InstallationPath": "/plugin",
      "FileHash": "",
      "Action": "Remove",
      "RestoreOnFailure": true
    }
  ]
}
